チケット #34708

本家版 2015.1 に向けたユーザーガイドなどの翻訳

登録: 2014-12-15 11:19 最終更新: 2015-02-23 13:45

報告者:
担当者:
チケットの種類:
状況:
完了
コンポーネント:
マイルストーン:
優先度:
5 - 中
重要度:
5 - 中
解決法:
修正済み
ファイル:
なし

詳細

以下 nvda.po の翻訳に着手した記録:

Index: nvda.po
===================================================================
--- nvda.po	(revision 18915)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2014-12-08 19:13+1000\n"
-"PO-Revision-Date: 2014-11-17 17:16+0900\n"
+"PO-Revision-Date: 2014-12-15 08:59+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -661,9 +661,8 @@
 msgstr "黒"
 
 #. Translators: The color dark green.
-#, fuzzy
 msgid "dark green"
-msgstr "暗い赤"
+msgstr "暗い緑"
 
 #. Translators: The light gray color.
 msgid "light grey"
@@ -5329,7 +5328,6 @@
 
 #. Translators: This is the label for a checkbox in the
 #. document formatting settings dialog.
-#, fuzzy
 msgid "Report spelling e&rrors"
 msgstr "スペルエラーの通知(&R)"
 
@@ -5527,14 +5525,12 @@
 msgstr "点字ディスプレイエラー"
 
 #. Translators: This is the label for the add symbol dialog.
-#, fuzzy
 msgid "Add Symbol"
-msgstr "記号"
+msgstr "記号の追加"
 
 #. Translators: This is the label for the edit field in the add symbol dialog.
-#, fuzzy
 msgid "Symbol:"
-msgstr "記号"
+msgstr "記号:"
 
 #. Translators: This is the label for the symbol pronunciation dialog.
 msgid "Symbol Pronunciation"
@@ -5561,14 +5557,13 @@
 msgstr "最低読み上げレベル(&L)"
 
 #. Translators: The label for a button in the Symbol Pronunciation dialog to remove a symbol.
-#, fuzzy
 msgid "Re&move"
-msgstr "削除(&R)"
+msgstr "削除(&M)"
 
 #. Translators: An error reported in the Symbol Pronunciation dialog when adding a symbol that is already present.
 #, python-format
 msgid "Symbol \"%s\" is already present."
-msgstr ""
+msgstr "記号 \"%s\" は登録済みです"
 
 #. Translators: The title of the Input Gestures dialog where the user can remap input gestures for commands.
 msgid "Input Gestures"
@@ -5575,7 +5570,6 @@
 msgstr "入力ジェスチャー"
 
 #. Translators: The label of a text field to search for gestures in the Input Gestures dialog.
-#, fuzzy
 msgctxt "inputGestures"
 msgid "&Filter by:"
 msgstr "フィルター:(&F)"
@@ -6558,6 +6552,3 @@
 #. Translators: The name of a braille display.
 msgid "HIMS SyncBraille"
 msgstr "HIMS社製 SyncBraille"
-
-#~ msgid "lime"
-#~ msgstr "ライム"

チケットの履歴 (21 件中 3 件表示)

2014-12-15 11:19 更新者: nishimoto
  • 新しいチケット "本家版 2015.1 に向けたユーザーガイドなどの翻訳" が作成されました
2014-12-23 12:43 更新者: nishimoto
コメント

changes.t2t の更新内容:

= 2015.1 =

== New Features ==
- You can now add new symbols in the Symbol Pronunciation dialog. (#4354)
- In the Input Gestures dialog, you can use the new "Filter by" field to show only gestures containing specific words. (#4458)
- NVDA now automatically reports new text in mintty. (#4588)
- In the browse mode Find dialog, there is now an option to perform a case sensitive search. (#4584)


== Changes ==
- In NVDA's Document Formatting settings dialog, the option to report spelling errors now has a shortcut key (alt+r). (#793)


== Bug Fixes ==
- In Microsoft Excel, handle the case when row and column header cells are merged. E.g. if A1 and B1 are merged, then B2 will now have A1 and B1 reported as its column header, rather than nothing at all. (#4617)
- When editing the content of a text box in Microsoft PowerPoint 2003, NVDA will correctly report the content of each line. Previously lines would increasingly be off by one character for each new paragraph. (#4619)
- All of NVDA's dialogs are now centred on the screen, improving visual presentation and usability. (#3148)
- In Skype for desktop, when entering an introductory message to add a contact, entering and moving through the text now works correctly. (#3661)
- When focus moves to a new itemn in tree views in the Eclipse IDE, if the previously focused item is a check box, it is no longer incorrectly announced. (#4586)
- In the Microsoft Word spell check dialog, the next error will be automatically reported when the last one has been changed or ignored via its shortcut key. (#1938)
2014-12-27 21:17 更新者: nishimoto
コメント

Outlook のメール閲覧でブラウズモードが利用できるようになることについての本家チケット

http://community.nvda-project.org/ticket/2975

これに関する nvda.po の翻訳の案:

Index: nvda.po
===================================================================
--- nvda.po	(revision 19161)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2014-12-25 19:12+1000\n"
-"PO-Revision-Date: 2014-12-15 08:59+0900\n"
+"PO-Revision-Date: 2014-12-27 21:13+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -635,7 +635,7 @@
 
 #. Translators: a message when a particular quick nav command is not supported in the current document.
 msgid "Not supported in this document"
-msgstr ""
+msgstr "使用できません"
 
 #. Translators: the description for the elements list dialog script on virtualBuffers.
 msgid "Presents a list of links, headings or landmarks"
@@ -1062,24 +1062,20 @@
 msgstr "前の埋め込みオブジェクトがありません"
 
 #. Translators: Input help message for a quick navigation command in browse mode.
-#, fuzzy
 msgid "moves to the next annotation"
-msgstr "次のボタンへ移動"
+msgstr "次の注釈へ移動"
 
 #. Translators: Message presented when the browse mode element is not found.
-#, fuzzy
 msgid "no next annotation"
-msgstr "次のボタンがありません"
+msgstr "次の注釈がありません"
 
 #. Translators: Input help message for a quick navigation command in browse mode.
-#, fuzzy
 msgid "moves to the previous annotation"
-msgstr "前のボタンへ移動"
+msgstr "前の注釈へ移動"
 
 #. Translators: Message presented when the browse mode element is not found.
-#, fuzzy
 msgid "no previous annotation"
-msgstr "前のボタンがありません"
+msgstr "前の注釈がありません"
 
 #. Translators: The label of a radio button to select the type of element
 #. in the browse mode Elements List dialog.
@@ -5778,7 +5774,7 @@
 #. Translators: This is the label for a checkbox in the
 #. browse mode settings dialog.
 msgid "&Trap all non-command gestures from reaching the document"
-msgstr ""
+msgstr "ドキュメントでコマンド以外の操作による入力を防止(&T)"
 
 #. Translators: This is the label for the document formatting dialog.
 msgid "Document Formatting"
@@ -6418,11 +6414,10 @@
 msgstr "テキストフレーム"
 
 msgid "comment: {text} by {author} on {date}"
-msgstr ""
+msgstr "コメント {text} 更新者 {author} 更新日 {date}"
 
-#, fuzzy
 msgid "{revisionType}: {text} by {author} on {date}"
-msgstr "{revisionType} 更新者 {revisionAuthor} 更新日 {revisionDate}"
+msgstr "{revisionType} {text} 更新者 {author} 更新日 {date}"
 
 msgid "unknown author"
 msgstr "著者不明"
@@ -6583,9 +6578,8 @@
 
 #. Translators: The label of a radio button to select the type of element
 #. in the browse mode Elements List dialog.
-#, fuzzy
 msgid "&Annotations"
-msgstr "アドオンの情報"
+msgstr "注釈(&A)"
 
 #. Translators: The name of a series of braille displays.
 msgid "HIMS Braille Sense/Braille EDGE series"
2014-12-27 21:46 更新者: nishimoto
コメント

subversion 10575, 10576, 10634 に関するユーザーガイドの更新。 テキストの行数を原文と一致させるために、日本語版の該当箇所に英語の原文を差し込んでみました:

Index: userGuide.t2t
===================================================================
--- userGuide.t2t	(revision 19161)
+++ userGuide.t2t	(working copy)
@@ -440,7 +440,8 @@
 
 + ブラウズモード +
 ウェブページのような、複雑で読み取り専用の文書は、NVDAではブラウズモードを用いて閲覧します。
-これには、Mozilla Firefox、Microsoft Internet Explorer、Google Chrome、Adobe Reader及びAdobe Flash上のドキュメントが含まれます。
+This includes documents in Mozilla Firefox, Microsoft Internet Explorer, HTML messages in Microsoft Outlook, Google Chrome, Adobe Reader and Adobe Flash.
+Browse mode is also optionally available for Microsoft Word when navigating complex documents.
 
 ブラウズモードでは、文書のコンテンツはフラットに表現され、通常のテキスト文書と同じように矢印キーを使って移動できます。
 このブラウズモードでは、「すべて読み上げ」、「書式の通知」、「テーブル内の移動」といったすべてのNVDAの[キャレット #SystemCaret]用のキーコマンドが使用できます。
@@ -1010,6 +1011,11 @@
 ==== 音によるフォーカスモードとブラウズモード切替の通知 ====
 このオプションが有効な場合、NVDAは音声による通知ではなく、特別な音によってフォーカスモードとブラウズモードが切り替えられたことを通知します。
 
+==== Trap non-command gestures from reaching the document ====
+Enabled by default, this option allows you to choose if gestures (such as key presses) that  do not result in an NVDA command and are not considered to be a command key in general, should be trapped from going through to the document you are currently focused on.
+As an example, if enabled, if the letter j was pressed, it would be trapped from reaching the document, even though it is not a quick navigation command nor is it likely to be a command in the application itself.
+
+
 +++ 書式情報 (NVDA+Ctrl+D) +++[DocumentFormattingSettings]
 このダイアログボックスは、設定メニューの中の、"書式情報..."にあります。
 
@@ -1086,6 +1092,12 @@
 「読み方」では、その記号の読み上げ方を変更できます。
 「最低読み上げレベル」では、どのレベル以上の読み上げレベルでこの文字や記号を読ませたいか、という最低レベルを選択します。
 
+You can add new symbols by pressing the Add button.
+In the dialog that appears, enter the symbol and press the OK button.
+Then, change the replacement and level for the new symbol as you would for other symbols.
+
+You can remove a symbol you previously added by pressing the Remove button.
+
 設定が終了したら、OKボタンを押して変更を保存するか、キャンセルボタンで破棄してください。
 
 +++ 入力ジェスチャー +++
@@ -1095,6 +1107,7 @@
 例えば、ブラウズモードのコマンドをカスタマイズするためには、NVDAがブラウズモードになっているときに入力ジェスチャー設定のダイアログを開いてください。
 
 このダイアログのツリービューでは、カスタマイズ対象のNVDAコマンドが、カテゴリごとに分類されています。
+You can filter them by entering one or more words from the command's name into the Filter by edit box in any order.
 あるコマンドに割り当てられた入力ジェスチャーは、そのコマンドのひとつ下のレベルにあります。
 
 あるコマンドに新しい入力ジェスチャーを追加するには、そのコマンドを選択して、追加ボタンを押してください。
2014-12-27 22:21 更新者: nishimoto
コメント

さきほどの差分の翻訳案:

Index: userGuide.t2t
===================================================================
--- userGuide.t2t	(revision 19161)
+++ userGuide.t2t	(working copy)
@@ -439,8 +439,9 @@
 %kc:endInclude
 
 + ブラウズモード +
-ウェブページのような、複雑で読み取り専用の文書は、NVDAではブラウズモードを用いて閲覧します。
-これには、Mozilla Firefox、Microsoft Internet Explorer、Google Chrome、Adobe Reader及びAdobe Flash上のドキュメントが含まれます。
+ウェブページのような、複雑で読み取り専用のドキュメントは、NVDAではブラウズモードを用いて閲覧します。
+ブラウズモードを使用するのは、Mozilla Firefox、Microsoft Internet Explorer、Microsoft Outlook の HTMLメッセージ、Google Chrome、Adobe Reader および Adobe Flash などのドキュメントです。
+Microsoft Word でもブラウズモードに切り替えることができ、これは複雑な文書の中での移動操作に役立ちます。
 
 ブラウズモードでは、文書のコンテンツはフラットに表現され、通常のテキスト文書と同じように矢印キーを使って移動できます。
 このブラウズモードでは、「すべて読み上げ」、「書式の通知」、「テーブル内の移動」といったすべてのNVDAの[キャレット #SystemCaret]用のキーコマンドが使用できます。
@@ -1010,6 +1011,11 @@
 ==== 音によるフォーカスモードとブラウズモード切替の通知 ====
 このオプションが有効な場合、NVDAは音声による通知ではなく、特別な音によってフォーカスモードとブラウズモードが切り替えられたことを通知します。
 
+==== ドキュメントでコマンド以外の操作による入力を防止 ====
+このオプションは既定値で有効です。これは、キー入力などのジェスチャーが NVDA のコマンドではなく、アプリケーションの操作としても実行できなかったときに、現在フォーカスのあるドキュメントに文字として入力されてしまうことを防ぐ機能です。
+このオプションが有効のときには、例えばキーボードから文字 j が入力され、1文字ナビゲーションとしても無効で、アプリケーションの操作としても無効であったときに、ドキュメントにこの j という文字が書き込まれません。
+
+
 +++ 書式情報 (NVDA+Ctrl+D) +++[DocumentFormattingSettings]
 このダイアログボックスは、設定メニューの中の、"書式情報..."にあります。
 
@@ -1086,6 +1092,12 @@
 「読み方」では、その記号の読み上げ方を変更できます。
 「最低読み上げレベル」では、どのレベル以上の読み上げレベルでこの文字や記号を読ませたいか、という最低レベルを選択します。
 
+「追加」ボタンを押すと新しい記号を追加できます。
+ダイアログが表示されるので、記号を入力して、OK ボタンを押してください。
+新しい記号の読み方と最低読み上げレベルの指定は、すでに登録されている記号の変更と同じように行えます。
+
+ユーザーが登録した記号の削除は「削除」ボタンで行えます。
+
 設定が終了したら、OKボタンを押して変更を保存するか、キャンセルボタンで破棄してください。
 
 +++ 入力ジェスチャー +++
@@ -1095,6 +1107,7 @@
 例えば、ブラウズモードのコマンドをカスタマイズするためには、NVDAがブラウズモードになっているときに入力ジェスチャー設定のダイアログを開いてください。
 
 このダイアログのツリービューでは、カスタマイズ対象のNVDAコマンドが、カテゴリごとに分類されています。
+フィルターのエディットボックスにテキストを入力すると、入力されたテキストを名前や説明に含むコマンドだけがツリービューに表示されます。
 あるコマンドに割り当てられた入力ジェスチャーは、そのコマンドのひとつ下のレベルにあります。
 
 あるコマンドに新しい入力ジェスチャーを追加するには、そのコマンドを選択して、追加ボタンを押してください。
2015-01-06 11:04 更新者: nishimoto
コメント

最近 master にマージされた音声設定のオプション Trust voice's language for processing symbols and characters の追加について。

別チケットで日本語の文字説明辞書の処理を再検討したい。

--- a/user_docs/en/changes.t2t
+++ b/user_docs/en/changes.t2t
@@ -16,6 +16,8 @@
 
 == Changes ==
 - In NVDA's Document Formatting settings dialog, the option to report spelling errors now has a shortcut key (alt+r). (#793)
+- NVDA will now use the synthesizer/voice's language for character and symbol processing (including punctuation symbol names), whether or not automatic language switching is turned on or not. To turn off this feature so that NVDA again uses its interface language, uncheck the new option in Voice settings called Trust Voice's language when processing characters and symbols. (#4210)
 
 
 == Bug Fixes ==
diff --git a/user_docs/en/userGuide.t2t b/user_docs/en/userGuide.t2t
index 7f95b1f..521f4e7 100644
--- a/user_docs/en/userGuide.t2t
+++ b/user_docs/en/userGuide.t2t
@@ -687,6 +687,10 @@ This allows you to choose the amount of punctuation and other symbols that shoul
 For example, when set to all, all symbols will be spoken as words.
 This option applies to all synthesizers, not just the currently active synthesizer.
 
+==== Trust voice's language for processing symbols and characters ====
+On by default, this option tells NVDA if the current voice's language can be trusted when processing symbols and characters.
+If you find that NVDA is reading punctuation in the wrong language for a particular synthesizer or voice, you may wish to turn this off to force NVDA to use its global language setting instead.
+
 ==== Capital pitch change percentage ====
 This edit field allows you to type the amount that the pitch of the voice will change when speaking a capital letter.
 This value is a percentage, where a negative value lowers the pitch and a positive value raises it.
2015-01-09 12:49 更新者: nishimoto
コメント

翻訳案:

+==== 記号と文字の説明に音声の言語を使用 ====
+初期状態では、句読点/記号読み辞書と文字説明辞書を、音声エンジンの現在の言語に合わせて切り替えます。
+特定の音声エンジンや話者を使っていて、記号読み上げ辞書が不適切に切り替わってしまう場合などには、このオプションを無効にすれば、一般設定で指定された言語で記号と文字の説明が行われます。
+

原文:

+==== Trust voice's language for processing symbols and characters ====
+On by default, this option tells NVDA if the current voice's language can be trusted when processing symbols and characters.
+If you find that NVDA is reading punctuation in the wrong language for a particular synthesizer or voice, you may wish to turn this off to force NVDA to use its global language setting instead.
+

関連して検討が必要なチケット: #34639 既定の言語が日本語でない環境で文字説明モードにならない

2015-01-09 13:31 更新者: nishimoto
コメント

なぜか「音声設定」の原文とユーザーガイドの原文の表記が違う(「文字と記号」「記号と文字」)のですが、日本語表記は「記号と文字」にそろえておきます:

--- nvda.po     (revision 19498)
+++ nvda.po     (working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2015-01-08 19:13+1000\n"
-"PO-Revision-Date: 2014-12-27 21:13+0900\n"
+"PO-Revision-Date: 2015-01-09 13:29+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -5481,7 +5481,7 @@
 #. Translators: This is the label for a checkbox in the
 #. voice settings dialog (if checked, text will be read using the voice for the
 language of the text).
 msgid "Trust voice's language when processing characters and symbols"
-msgstr ""
+msgstr "記号と文字の説明に音声の言語を使用"

 #. Translators: This is a label for a setting in voice settings (an edit box to change voice pitch for capital letters; the higher the value, the pitch will be higher).
 msgid "Capital pitch change percentage"
2015-01-10 22:01 更新者: nishimoto
コメント

changes.t2t の内容が増えてきたので、まだ増えるとは思いますが、もう一度こちらで紹介します:

= 2015.1 =

== New Features ==
- You can now add new symbols in the Symbol Pronunciation dialog. (#4354)
- In the Input Gestures dialog, you can use the new "Filter by" field to show only gestures containing specific words. (#4458)
- NVDA now automatically reports new text in mintty. (#4588)
- In the browse mode Find dialog, there is now an option to perform a case sensitive search. (#4584)
- Quick navigation (h for heading etc) plus Elements List (NVDA+f7) are now available in Microsoft Word documents by turning on browse mode with NVDA+space. (#2975)
- Reading HTML messages in Microsoft Outlook 2007 and higher has been majorly improved as Browse mode is automatically enabled for these messages. If browse mode is not enabled in some rare situations, you can force it on with NVDA+space. (#2975) 


== Changes ==
- In NVDA's Document Formatting settings dialog, the option to report spelling errors now has a shortcut key (alt+r). (#793)
- NVDA will now use the synthesizer/voice's language for character and symbol processing (including punctuation symbol names), regardless of whether automatic language switching is turned on. To turn off this feature so that NVDA again uses its interface language, uncheck the new option in Voice settings called Trust Voice's language when processing characters and symbols. (#4210)


== Bug Fixes ==
- In Microsoft Excel, handle the case when row and column header cells are merged. E.g. if A1 and B1 are merged, then B2 will now have A1 and B1 reported as its column header, rather than nothing at all. (#4617)
- When editing the content of a text box in Microsoft PowerPoint 2003, NVDA will correctly report the content of each line. Previously lines would increasingly be off by one character for each new paragraph. (#4619)
- All of NVDA's dialogs are now centred on the screen, improving visual presentation and usability. (#3148)
- In Skype for desktop, when entering an introductory message to add a contact, entering and moving through the text now works correctly. (#3661)
- When focus moves to a new itemn in tree views in the Eclipse IDE, if the previously focused item is a check box, it is no longer incorrectly announced. (#4586)
- In the Microsoft Word spell check dialog, the next error will be automatically reported when the last one has been changed or ignored using respective shortcut keys. (#1938)
- Text can again be read correctly in places such as Tera Term Pro's terminal window and documents in Balabolka. (#4229)
- Focus now correctly returns to the document being edited When finishing input composition of text in Korean and other east Asian languages while editing within a frame in Internet Explorer and other MSHTML documents. (#4045)
- In the Input Gestures dialog, when selecting a keyboard layout for a keyboard gesture being added, pressing escape now closes the menu as expected instead of closing the dialog. (#3617)
- When removing an add-on, the add-on directory is now correctly deleted after restarting NVDA. Previously, you had to restart twice. (#3461)


== Changes for Developers ==
- Updated wxPython to 3.0.2.0. (#3763)


2015-01-30 11:19 更新者: nishimoto
コメント

Skype サポートの改善が master に入ったようです。

Skype はたぶん商標名なのでアルファベット表記のままにしています。

翻訳の更新案:

Index: nvda.po
===================================================================
--- nvda.po     (revision 19882)
+++ nvda.po     (working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2015-01-29 19:12+1000\n"
-"PO-Revision-Date: 2015-01-22 20:41+0900\n"
+"PO-Revision-Date: 2015-01-30 11:16+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -4324,15 +4324,14 @@

 #. Translators: The name of the NVDA command category for Skype specific commands.
 msgid "Skype"
-msgstr ""
+msgstr "Skype"

-#, fuzzy
 msgid "Reports and moves the review cursor to a recent message"
-msgstr "キャレットをレビューカーソルが追跡するモードの切り替え"
+msgstr "チャット履歴の通知とレビューカーソルの移動"

 #. Translators: Indicates that a contact stopped typing.
 msgid "Typing stopped"
-msgstr ""
+msgstr "入力ストップ"

 #. Translators: This is the name of a button in sound recorder.
 msgid "Rewind"
2015-01-30 12:02 更新者: nishimoto
コメント

ユーザーガイドの更新。

Newfon ドライバーは外部アドオンに移行。

Skype のチャット読み上げをショートカット操作できる機能は、 Skype 7.0.85.102 で動作を確認しています。 「チャットコンテンツリスト」と Skype が読み上げているので、 これを訳語に使うことにしました。

Index: userGuide.t2t
===================================================================
--- userGuide.t2t       (revision 19882)
+++ userGuide.t2t       (working copy)
@@ -568,6 +568,13 @@
 | 翻訳者への注記の通知 | Ctrl+Shift+A | 翻訳者への注記を通知します。 |
 %kc:endInclude

++++ Skype ++
+%kc:beginInclude
+チャットコンテンツリストの操作:
+|| 名称 | キー | 説明 |
+| メッセージの確認 | NVDA+Ctrl+1-0 | 数字に対応した位置のチャット履歴のメッセージを通知して、その場所にレビューカーソルを移動します。例えば NVDA+Ctrl+2 を押すと最新から2番目のメッセージを通知します。 |
+%kc:endInclude
+
 + NVDAの設定 +

 ++ 設定メニュー ++
@@ -1327,12 +1334,6 @@

 この音声エンジンは、[スペル読み機能 #VoiceSpellingFunctionality]をサポートしていません。

-++ Newfon ++
-NewfonはSergey Shishmintzev氏作の無料の商用音声エンジンで、ロシア語とウクライナ語をサポートしています。
-この音声エンジンをダウンロードするには、ロシア語向けのNVDAコミュニティーサイトのダウンロードセクション、http://ru.nvda-community.org/?page_id=10を参照してください。
-
-この音声エンジンは、[スペル読み機能 #VoiceSpellingFunctionality]をサポートしていません。
-
 ++ Nuance Vocalizer for NVDA ++
 Nuance Vocalizer はニュアンス・コミュニケーションズ社の商用の高品質音声エン
ジンです。Tiflotecnia, Lda はこのエンジンをNVDA用のパッケージにしました。
 このエンジンには50以上の音声を追加でき、30以上の言語を合成できます。
2015-01-30 13:47 更新者: nishimoto
コメント

そろそろ本家の 2015.1 開発の完了が近いはずです。

changes.t2t をあらためて全文引用します:

= 2015.1 =

== New Features ==
- You can now add new symbols in the Symbol Pronunciation dialog. (#4354)
- In the Input Gestures dialog, you can use the new "Filter by" field to show only gestures containing specific words. (#4458)
- NVDA now automatically reports new text in mintty. (#4588)
- In the browse mode Find dialog, there is now an option to perform a case sensitive search. (#4584)
- Quick navigation (h for heading etc) plus Elements List (NVDA+f7) are now available in Microsoft Word documents by turning on browse mode with NVDA+space. (#2975)
- Reading HTML messages in Microsoft Outlook 2007 and higher has been majorly improved as Browse mode is automatically enabled for these messages. If browse mode is not enabled in some rare situations, you can force it on with NVDA+space. (#2975) 
- Table column headers in Microsoft word are automatically reported for tables where a header row has been explicitly specified by the author via Microsoft word's table properties. (#4510) 
- In Skype for Desktop, notifications are now reported. (#4741)
- In Skype for Desktop, you can now report and review recent messages using NVDA+control+1 through NVDA+control+0; e.g. NVDA+control+1 for the most recent message and NVDA+control+0 for the tenth most recent. (#3210)
- In a conversation in Skype for Desktop, NVDA now reports when a contact is typing. (#3506)


== Changes ==
- In NVDA's Document Formatting settings dialog, the option to report spelling errors now has a shortcut key (alt+r). (#793)
- NVDA will now use the synthesizer/voice's language for character and symbol processing (including punctuation symbol names), regardless of whether automatic language switching is turned on. To turn off this feature so that NVDA again uses its interface language, uncheck the new option in Voice settings called Trust Voice's language when processing characters and symbols. (#4210)
- Support for the Newfon synthesizer has been removed. Newfon is now available as an NVDA add-on. (#3184)
- Skype for Desktop 7 or later is now required for use with NVDA; earlier versions are not supported. (#4218)


== Bug Fixes ==
- In Microsoft Excel, handle the case when row and column header cells are merged. E.g. if A1 and B1 are merged, then B2 will now have A1 and B1 reported as its column header, rather than nothing at all. (#4617)
- When editing the content of a text box in Microsoft PowerPoint 2003, NVDA will correctly report the content of each line. Previously lines would increasingly be off by one character for each new paragraph. (#4619)
- All of NVDA's dialogs are now centred on the screen, improving visual presentation and usability. (#3148)
- In Skype for desktop, when entering an introductory message to add a contact, entering and moving through the text now works correctly. (#3661)
- When focus moves to a new itemn in tree views in the Eclipse IDE, if the previously focused item is a check box, it is no longer incorrectly announced. (#4586)
- In the Microsoft Word spell check dialog, the next error will be automatically reported when the last one has been changed or ignored using respective shortcut keys. (#1938)
- Text can again be read correctly in places such as Tera Term Pro's terminal window and documents in Balabolka. (#4229)
- Focus now correctly returns to the document being edited When finishing input composition of text in Korean and other east Asian languages while editing within a frame in Internet Explorer and other MSHTML documents. (#4045)
- In the Input Gestures dialog, when selecting a keyboard layout for a keyboard gesture being added, pressing escape now closes the menu as expected instead of closing the dialog. (#3617)
- When removing an add-on, the add-on directory is now correctly deleted after restarting NVDA. Previously, you had to restart twice. (#3461)
- Major problems have been fixed when using Skype for Desktop 7. (#4218)
- When you send a message in Skype for Desktop, it is no longer read twice. (#3616)
- In Skype for Desktop, NVDA should no longer occasionally spuriously read a large flood of messages (perhaps even an entire conversation). (#4644)
- fixed a problem where NVDA's Report date/time command did not honor the regional settings specified by the user in some cases. (#2987)
- In browse mode, nonsensical text (sometimes spanning several lines) is no longer presented for certain graphics such as found on Google Groups. (Specifically, this occurred with base64 encoded images.) (#4793)


== Changes for Developers ==
- Updated wxPython to 3.0.2.0. (#3763)


2015-01-30 20:55 更新者: nishimoto
コメント

ユーザーガイドの翻訳の追加。

過去に Braillex はカタカナで翻訳していましたが、商品名はカタカナ表記しないという原則からはずれているので、 この機会にアルファベット表記に変更します。

機器の操作の説明は、ちゃんと実物を調べたわけではないので、間違っているかも知れません。

Index: userGuide.t2t
===================================================================
--- userGuide.t2t	(revision 19939)
+++ userGuide.t2t	(working copy)
@@ -1677,24 +1677,28 @@
 | 点字セルに移動 | タッチカーソル |
 %kc:endInclude
 
-++ Papenmeier ブレイレックス新型機種 ++
+++ Papenmeier BRAILLEX 新型機種 ++
 次の点字ディスプレイをサポートしています:
-- ブレイレックス(BRAILLEX) EL 40c, EL 80c, EL 20c, EL 60c (USB)
-- ブレイレックス EL 40s, EL 80s, EL 2d80s, EL 70s, EL 66s (USB)
-- ブレイレックス Trio (USB およびブルートゥース)
+- BRAILLEX EL 40c, EL 80c, EL 20c, EL 60c (USB)
+- BRAILLEX EL 40s, EL 80s, EL 2d80s, EL 70s, EL 66s (USB)
+- BRAILLEX Trio (USB およびブルートゥース)
+- BRAILLEX Live 20, BRAILLEX Live および BRAILLEX Live Plus (USB およびブルートゥース)
 -
 
 BrxCom がインストールされていれば NVDA は BrxCom を使います。
 BrxCom はスクリーンリーダーと独立したツールで、点字入力を可能にします。
 NVDAに対応した新しいバージョンの BrxCom は Papenmeier からリリースされる予定です。
-ただし Trio での点字入力は BrxCom を必要としません。
+ただし Trio, BRAILLEX Live 20 および Braillex Live での点字入力は BrxCom を必要としません。
+Live Plus でも点字入力が可能ですが、この場合は BrxCom が必要です。
 
 多くの機種に Easy Access Bar (EAB) があり、直感的ですばやい操作ができます。
-この EAB は4方向に動かせて、各方向ごとに2つのスイッチがあります。
-ただしCシリーズはこの規則の例外です。
+この EAB は4方向に動かせて、各方向ごとに2個のスイッチがあります。
+ただし C および Live シリーズはこの規則の例外です。
 
 Cシリーズおよび特定の機種には2列のタッチカーソルがあり、上の列は書式の通知に使われます。
-タッチカーソルの上の列のどれかひとつを押しながらCシリーズの EAB を押すと、第二段階の押しかたをしたことと同じになります。
+タッチカーソルの上の列のどれかひとつを押しながらCシリーズの EAB を押すと、第2段階の押しかたをしたことと同じになります。
+Live シリーズのディスプレイには1列のタッチカーソルがあり、EAB は各方向について1段階だけの押し方ができます。
+第2段階の押し方のエミュレーションを行うには、タッチカーソルのどれかを押しながら、目的の方向の EAB を押します。
 上下左右のキー(またはEAB)を押し続けると、操作のリピートになります。
 
 これらの点字ディスプレイで一般的に使える操作は次のとおりです:
@@ -1981,7 +1985,8 @@
 | -s | --secure | セキュアモード(Pythonコンソールを無効化) |
 | なし | --disable-addons | アドオンを無効化 |
 | なし | --no-sr-flag  | グローバルなシステムのスクリーンリーダーフラグを変更しない |
-| なし | --install | NVDAのサイレントインストール |
+| なし | --install | NVDAのインストール(新規にインストールされたNVDAを起動) |
+| なし | --install-silent | NVDAのサイレントインストール(新規にインストールされたNVDAを起動しない) |
 
 ++ 記号の読み上げの高度なカスタマイズ ++
 句読点などの記号の読み方を、[句読点/記号読み辞書 #SymbolPronunciation]ダイアログを使用することなくカスタマイズすることができます。
2015-02-02 15:06 更新者: nishimoto
コメント

changes.t2t の更新があったので改めて原文の全体を引用:

= 2015.1 =
Highlights of this release include browse mode for documents in Microsoft Word and Outlook; major enhancements to support for Skype for Desktop; and significant fixes for Microsoft Internet Explorer.

== New Features ==
- You can now add new symbols in the Symbol Pronunciation dialog. (#4354)
- In the Input Gestures dialog, you can use the new "Filter by" field to show only gestures containing specific words. (#4458)
- NVDA now automatically reports new text in mintty. (#4588)
- In the browse mode Find dialog, there is now an option to perform a case sensitive search. (#4584)
- Quick navigation (pressing h to move by heading, etc.) and Elements List (NVDA+f7) are now available in Microsoft Word documents by turning on browse mode with NVDA+space. (#2975)
- Reading HTML messages in Microsoft Outlook 2007 and later has been majorly improved as Browse mode is automatically enabled for these messages. If browse mode is not enabled in some rare situations, you can force it on with NVDA+space. (#2975)
- Table column headers in Microsoft word are automatically reported for tables where a header row has been explicitly specified by the author via Microsoft word's table properties. (#4510)
 - However, For tables where rows have been merged, this will not work automatically. In this situation, you can still set column headers manually in NVDA with NVDA+shift+c.
- In Skype for Desktop, notifications are now reported. (#4741)
- In Skype for Desktop, you can now report and review recent messages using NVDA+control+1 through NVDA+control+0; e.g. NVDA+control+1 for the most recent message and NVDA+control+0 for the tenth most recent. (#3210)
- In a conversation in Skype for Desktop, NVDA now reports when a contact is typing. (#3506)
- NVDA can now be installed silently via the command line without starting the installed copy after installation. To do this, use the --install-silent option. (#4206)
- Support for the Papenmeier BRAILLEX Live 20, BRAILLEX Live and BRAILLEX Live Plus braille displays. (#4614)


== Changes ==
- In NVDA's Document Formatting settings dialog, the option to report spelling errors now has a shortcut key (alt+r). (#793)
- NVDA will now use the synthesizer/voice's language for character and symbol processing (including punctuation/symbol names), regardless of whether automatic language switching is turned on. To turn off this feature so that NVDA again uses its interface language, uncheck the new option in Voice settings called Trust Voice's language when processing characters and symbols. (#4210)
- Support for the Newfon synthesizer has been removed. Newfon is now available as an NVDA add-on. (#3184)
- Skype for Desktop 7 or later is now required for use with NVDA; earlier versions are not supported. (#4218)
- Downloading of NVDA updates is now more secure. (Specifically, the update information is retrieved via https and the hash of the file is verified after it is downloaded.) (#4716)


== Bug Fixes ==
- In Microsoft Excel, merged row and column header cells are now handled correctly. For example, if A1 and B1 are merged, then B2 will now have A1 and B1 reported as its column header rather than nothing at all. (#4617)
- When editing the content of a text box in Microsoft PowerPoint 2003, NVDA will correctly report the content of each line. Previously, in each paragraph, lines would increasingly be off by one character. (#4619)
- All of NVDA's dialogs are now centred on the screen, improving visual presentation and usability. (#3148)
- In Skype for desktop, when entering an introductory message to add a contact, entering and moving through the text now works correctly. (#3661)
- When focus moves to a new itemn in tree views in the Eclipse IDE, if the previously focused item is a check box, it is no longer incorrectly announced. (#4586)
- In the Microsoft Word spell check dialog, the next error will be automatically reported when the last one has been changed or ignored using respective shortcut keys. (#1938)
- Text can again be read correctly in places such as Tera Term Pro's terminal window and documents in Balabolka. (#4229)
- Focus now correctly returns to the document being edited When finishing input composition of text in Korean and other east Asian languages while editing within a frame in Internet Explorer and other MSHTML documents. (#4045)
- In the Input Gestures dialog, when selecting a keyboard layout for a keyboard gesture being added, pressing escape now closes the menu as expected instead of closing the dialog. (#3617)
- When removing an add-on, the add-on directory is now correctly deleted after restarting NVDA. Previously, you had to restart twice. (#3461)
- Major problems have been fixed when using Skype for Desktop 7. (#4218)
- When you send a message in Skype for Desktop, it is no longer read twice. (#3616)
- In Skype for Desktop, NVDA should no longer occasionally spuriously read a large flood of messages (perhaps even an entire conversation). (#4644)
- fixed a problem where NVDA's Report date/time command did not honor the regional settings specified by the user in some cases. (#2987)
- In browse mode, nonsensical text (sometimes spanning several lines) is no longer presented for certain graphics such as found on Google Groups. (Specifically, this occurred with base64 encoded images.) (#4793)
- NVDA should no longer freeze after a few seconds when moving focus away from a Windows Store app as it becomes suspended. (#4572)
- The aria-atomic attribute on live regions in Mozilla Firefox is now honored even when the atomic element itself changes. Previously, it only affected descendant elements. (#4794)
- Browse mode will reflect updates, and live regions will be announced, for   browse mode documents within ARIA applications embedded in a document in Internet Explorer or other MSHTML controls. (#4798)
- When text is changed or added in live regions in Internet Explorer and other MSHTML controls where the author has specified that text is relevant, only the changed or added text is announced, rather than all of the text in the containing element. (#4800)
- Content indicated by the aria-labelledby attribute on elements in Internet Explorer and other MSHTML controls correctly replaces the original content  where it is appropriate to do so. (#4575)
- When checking spelling in Microsoft Outlook 2013, the miss-spelled word is now announced. (#4848)


== Changes for Developers ==
- Updated wxPython to 3.0.2.0. (#3763)
- Updated Python to 2.7.9. (#4715)
- NVDA no longer crashes when restarting after removing or updating an add-on which imports speechDictHandler in its installTasks module. (#4496)
2015-02-02 16:08 更新者: nishimoto
コメント

2015.1 に向けた Translatable string freeze が宣言されました。

作業の締切は2月15日ですが、私の作業は changes しか残っていないはずです。 この内容の翻訳は「NVDAミートアップ東京 2015.1」の会場で議論したいと思います。

We have now entered the translatable string freeze for NVDA 2015.1.
Translators, you have until UTC 00:00 on 15 February to ensure your translation is up to date in order for it to be included in NVDA 2015.1. Work submitted after this time will not be included in NVDA 2015.1.
2015-02-04 20:50 更新者: nishimoto
コメント

#34621 2015.1 に向けた既存の翻訳の再検討 と作業が混ざってしまいましたが、ユーザーガイドの更新案:

Index: userGuide.t2t
===================================================================
--- userGuide.t2t	(revision 20139)
+++ userGuide.t2t	(working copy)
@@ -441,7 +441,7 @@
 + ブラウズモード +
 ウェブページのような、複雑で読み取り専用のドキュメントは、NVDAではブラウズモードを用いて閲覧します。
 ブラウズモードを使用するのは、Mozilla Firefox、Microsoft Internet Explorer、Microsoft Outlook の HTMLメッセージ、Google Chrome、Adobe Reader および Adobe Flash などのドキュメントです。
-Microsoft Word でもブラウズモードに切り替えることができ、これは複雑な文書の中での移動操作に役立ちます。
+Microsoft Word のドキュメントを閲覧する場合にもブラウズモードに切り替えることができます。
 
 ブラウズモードでは、文書のコンテンツはフラットに表現され、通常のテキスト文書と同じように矢印キーを使って移動できます。
 このブラウズモードでは、「すべて読み上げ」、「書式の通知」、「テーブル内の移動」といったすべてのNVDAの[キャレット #SystemCaret]用のキーコマンドが使用できます。
@@ -460,7 +460,7 @@
 || 名称 | キー | 説明 |
 | ブラウズモード/フォーカスモードの切り替え | NVDA+スペース | ブラウズモードとフォーカスモードを切り替えます。 |
 | フォーカスモードの終了 | Esc | 自動的にフォーカスモードが有効になっていた場合、ブラウズモードに変更します。 |
-| ブラウズモードドキュメントの更新 | NVDA+F5 | 現在のドキュメントコンテンツを再度読み込みます (ドキュメントの一部が欠落しているような場合に有効です)。 |
+| ブラウズモードドキュメントの更新 | NVDA+F5 | 現在のドキュメントコンテンツを再度読み込みます。 (ドキュメントの一部が欠落しているような場合に有効です。Microsoft Word および Outlook では利用できません) |
 | 検索 | NVDA+Ctrl+F | 入力した文字列を現在のドキュメント内で検索するためにダイアログを開きます。 |
 | 次を検索 | NVDA+F3 | 同じ検索文字列でドキュメントの後方に向かって検索します。 |
 | 前を検索 | NVDA+Shift+F3 | 同じ検索文字列でドキュメントの前方に向かって検索します。 |
@@ -470,6 +470,7 @@
 
 ++ 一文字ナビゲーション ++
 効率的な操作のために、NVDAにはブラウズモードで特定の要素にジャンプするためのアルファベット一文字の移動コマンドがあります。
+以下のコマンドはドキュメントの種類によっては一部利用できないものがあります。
 
 %kc:beginInclude
 以下のキーを単独で押すと次の要素に移動し、Shiftキーを押しながら押すと前の要素に移動します。
@@ -713,7 +714,7 @@
 
 ==== サポートされている場合スペル読み機能を使用 ====[VoiceSpellingFunctionality]
 1文字で構成されているような単語がありますが、その発音は文字自身が個々の文字として発音されるか、単語として発音されるかによって異なります。
-例えば英語では、"a"は文字でもあり単語でもあります。
+例えば英語では、"a"は文字でもあり単語でもあります。それぞれの発音は同じではありません。
 このオプションにより、もし音声エンジンがサポートしている場合は、これらのふたつの場合を区別することができます。
 ほとんどの音声エンジンでこの機能はサポートされています。
 
@@ -749,9 +750,9 @@
 
 NVDAの初期設定では、ポートの自動選択が試みられます。つまり、システムにUSBやブルートゥースで接続された機器をスキャンして、点字ディスプレイとの通信方法が見つかれば接続を行います。
 しかし、点字ディスプレイによっては、ユーザーがポートを手動で設定することができます。
-通常は"自動選択"(初期設定のポート自動選択をNVDAが行います)、"USB"、"ブルートゥース"を選択できます。また、接続された機器が対応していればシリアル通信ポートを選択できます。
+通常は"自動選択"(ポートの自動選択で、これはNVDAの既定の処理です)、"USB"、"ブルートゥース"を選択できます。また、接続された機器が対応していればシリアル通信ポートを選択できます。
 
-点字ディスプレイが自動ポート選択だけに対応している場合には、このオプションは無効になります。
+点字ディスプレイがポート自動選択だけに対応している場合には、このオプションは無効になります。
 
 お使いの点字ディスプレイが対応している接続方法やポート選択方法については、 [サポートされている点字ディスプレイ #SupportedBrailleDisplays] の各項目もお読みください。
 
@@ -872,9 +873,11 @@
 
 ==== マウスカーソルの座標をビープ音で通知 ====
 このチェックボックスをチェックすると、NVDAはマウスカーソルの移動をビープ音で通知します。それにより、利用者はマウスカーソルが画面上のどこに位置しているかを知ることができます。
+マウスカーソルが画面の上に移動するほど高い音になります。
+マウスカーソルが画面の左側や右側に移動すると、その音は左側または右側から聞こえます。ただしステレオのスピーカーまたはヘッドフォンが必要です。
 
 ==== マウスカーソル位置の明るさをビープ音の音量で通知 ====
-'マウスカーソルの座標をビープ音で通知'のチェックボックスがチェックされていて、このチェックボックスをチェックした場合、ビープ音の音量は、画面上でマウスカーソルのある場所の明るさによって制御されます。
+「マウスカーソルの座標をビープ音で通知」のチェックボックスがチェックされていて、このチェックボックスをチェックした場合、ビープ音の音量は、画面上でマウスカーソルのある場所の明るさによって制御されます。
 この機能は初期状態では無効です。
 
 +++ レビューカーソル設定 +++
@@ -1026,7 +1029,6 @@
 このオプションは既定値で有効です。これは、キー入力などのジェスチャーが NVDA のコマンドではなく、アプリケーションの操作としても実行できなかったときに、現在フォーカスのあるドキュメントに文字として入力されてしまうことを防ぐ機能です。
 このオプションが有効のときには、例えばキーボードから文字 j が入力され、1文字ナビゲーションとしても無効で、アプリケーションの操作としても無効であったときに、ドキュメントにこの j という文字が書き込まれません。
 
-
 +++ 書式情報 (NVDA+Ctrl+D) +++[DocumentFormattingSettings]
 このダイアログボックスは、設定メニューの中の、"書式情報..."にあります。
 
@@ -1257,7 +1259,7 @@
 
 オンラインで入手できるアドオンを探してインストールするには、「アドオンを入手」ボタンを押してください。
 このボタンを押すと [NVDA アドオンのページ http://addons.nvda-project.org/] を開きます。
-インストールされた NVDA を使っている場合は、ブラウザからダウンロードしたアドオンファイルを開くと、後述するインストールが始まります。
+インストールされた NVDA を実行している場合は、ブラウザからダウンロードしたアドオンファイルを開くと、後述するインストールが始まります。
 ポータブル版 NVDA を使っている場合は、アドオンのパッケージファイルを保存して、後述する手順でインストールしてください。
 
 入手済みのアドオンファイルをインストールするには「インストール」のボタンを押してください。
@@ -1298,7 +1300,7 @@
 この音声エンジンはNVDAに同梱されているので、別のシステム上でUSBメモリーからNVDAを実行するときには良い選択です。
 
 eSpeakの各音声は、異なる言語で話すことができます。
-eSpeakでは、43ヶ国語以上の言語をサポートしています。
+eSpeakでは、80ヶ国語以上の言語をサポートしています。
 
 また、音質の代替として、多くの声色を選択できます。
 
@@ -1350,7 +1352,7 @@
 使用するには、Freedom Scientific社製の点字ディスプレイ用ドライバーが必要です。
 お持ちでない場合は、 http://www.freedomscientific.com/downloads/focus-40-blue/focus-40-14-blue-downloads.asp から入手できます。
 このページではFocus Blueディスプレイにしか言及していませんが、これらのドライバーはすべてのFreedom Scientific社製の Focus/PAC Mate ディスプレイをサポートしています。
-64ビット版Windowsが実行されていて、ドライバーがすでに他のスクリーン・リーダーによってインストールされている場合であっても、他のスクリーン・リーダーがNVDAに必要なファイルをインストールしていない可能性もあるため、このリンク先にあるドライバーをインストールする必要があるかもしれません。
+64ビット版Windowsが実行されていて、ドライバーがすでに他のスクリーンリーダーによってインストールされている場合であっても、他のスクリーンリーダーがNVDAに必要なファイルをインストールしていない可能性もあるため、このリンク先にあるドライバーをインストールする必要があるかもしれません。
 
 NVDAの初期設定では、NVDA はUSBまたはブルートゥースによる接続を自動選択します。
 しかし点字設定で "USB" または "ブルートゥース" を選ぶことで、接続方法を限定することができます。
@@ -1760,10 +1762,10 @@
 | tab キー | スペース+3 7の点 |
 %kc:endInclude 
 
-++ Papenmeier ブレイレックス旧機種 ++
+++ Papenmeier BRAILLEX 旧機種 ++
 次の点字ディスプレイをサポートしています:
-- ブレイレックス(BRAILLEX) EL 80, EL 2D-80, EL 40 P
-- ブレイレックス Tiny, 2D Screen
+- BRAILLEX EL 80, EL 2D-80, EL 40 P
+- BRAILLEX Tiny, 2D Screen
 -
 
 これらのディスプレイの接続方法はシリアルポートだけです。
@@ -1899,7 +1901,7 @@
 NVDAの点字入力テーブル設定は有効ではありません。
 
 以下はNVDA用に割り当てられたBRLTTYのコマンドです。
-BRLTTY用のコマンドが、ディスプレイのコントロールにどのように割り当てられているかに関しては、[BRLTTY key tables documentation http://mielke.cc/brltty/doc/drivers/]を確認してください。
+BRLTTY用のコマンドが、ディスプレイのコントロールにどのように割り当てられているかに関しては、[BRLTTY key tables documentation http://mielke.cc/brltty/doc/KeyTables/]を確認してください。
 %kc:beginInclude
 || 名称 | BRLTTYコマンド |
 | 点字表示を前にスクロール | fwinlt (左に1画面進む) |
2015-02-08 15:00 更新者: nishimoto
  • 解決法なし から 修正済み に更新されました
コメント

changes の翻訳案:

= 2015.1 =
このリリースのハイライトは、 Microsoft Word および Outlook のドキュメントでのブラウズモード、Skype (Windows デスクトップ版)のサポートの強化、および Microsoft Internet Explorer の不具合の修正です。

== 新機能 ==
- 句読点/記号読み辞書のダイアログにおいて「追加」が利用できるようになりました。 (#4354)
- 入力ジェスチャーのダイアログにおいて「フィルター」フィールドを使い、特定の言葉を含んでいるジェスチャーだけを絞り込んで表示できるようになりました。 (#4458)
- mintty において新しいテキストが自動的に通知されるようになりました。 (#4588)
- ブラウズモードの検索ダイアログにおいて、大文字と小文字を区別する検索のオプションが利用できるようになりました。 (#4584)
- Microsoft Word のドキュメントにおいて NVDA+スペースを押すとブラウズモードが利用できるようになりました。ブラウズモードでは1文字ナビゲーション(hを押すと次の見出しにジャンプするなど)および要素リスト(NVDA+f7)が利用できます。 (#2975)
- Microsoft Outlook 2007 以降において、HTMLメッセージの読み取りでブラウズモードに自動的に切り替わるようになりました。自動的にブラウズモードに切り替わらない場合は、NVDA+スペースで手動切り替えできます。 (#2975)
- Microsoft Word において、ドキュメントの作成者がテーブルの属性で列見出しの行を指定していれば、テーブルの列見出しを自動的に通知するようになりました。 (#4510)
 - ただし行の結合が使われている場合には、自動通知は利用できません。この場合は NVDA+Shift+C で列見出しの行を指定してください。
- Skype (Windows デスクトップ版)において、通知の読み上げに対応しました。 (#4741)
- Skype (Windows デスクトップ版)において、NVDA+Ctrl+1 から NVDA+Ctrl+0 までの操作でチャット履歴の項目への移動と通知が可能になりました。 NVDA+Ctrl+1 が最新のメッセージ、NVDA+Ctrl+0 は最新から10番目のメッセージにナビゲーターオブジェクトを移動します。(#3210)
- Skype (Windows デスクトップ版)のチャット機能において、参加者のキー入力状態を通知するようになりました。 (#3506)
- NVDA を無音でインストールして、その後でインストールされた環境を実行しないためのコマンドラインのオプション --install-silent が追加されました。 (#4206)
- Papenmeier BRAILLEX Live 20, BRAILLEX Live および BRAILLEX Live Plus 点字ディスプレイに対応しました。 (#4614)


== 変更点 ==
- NVDA メニューの「書式情報」設定ダイアログにおいて、「スペルエラーの通知」に Alt+R で移動できるようになりました。 (#793)
- NVDA は記号と文字の説明において、音声の言語を使用します。音声設定で「言語の自動切り替え」が有効であっても同様です。この処理を無効にして一般設定で指定された言語で記号と文字の説明を行うには、音声設定の「記号と文字の説明に音声の言語を使用」をチェックなしにしてください。 (#4210)
- Newfon 音声エンジンのドライバーを削除しました。 Newfon は NVDA のアドオンとして入手可能です。 (#3184)
- NVDA が対応する Skype (Windows デスクトップ版) のバージョンが 7 以降になりました。過去のバージョンの Skype には対応していません。 (#4218)
- NVDA の更新のダウンロードにおけるセキュリティが改善されました。(更新情報の https での取得、ダウンロード後のハッシュ値の検証が行われます) (#4716)


== バグ修正 ==
- Microsoft Excel において、結合された行や列の見出しセルが適切に処理されるようになりました。例えば A1 と B1 が結合されている場合に、B2 では A1 および B1 の内容を列見出しとして通知します。このような場合にはこれまで何も通知されていませんでした。 (#4617)
- Microsoft PowerPoint 2003 においてテキストボックスの内容を編集する場合に NVDA は各行の内容を正しく通知するようになりました。これまでは、段落の中の各行の文字数が1文字ずつずれて処理されていました。 (#4619)
- NVDA のダイアログがすべて画面の中央に表示されるようになりました。視覚的な見栄えと使い勝手が改善されました。 (#3148)
- Skype (Windows デスクトップ版) において、連絡先を追加するための解説のメッセージに移動した場合に、テキスト内の移動が正しく処理されるようになりました。 (#3661)
- Eclipse IDE のツリービューで新しい項目にフォーカスを移動するときに、直前にフォーカスがあった項目がチェックボックスであった場合に、通知が不適切になる不具合を修正しました。 (#4586)
- Microsoft Word のスペルチェックダイアログにおいて、直前の箇所の変更または無視のショートカットキー操作の後で、次のエラーが自動的に通知されるようになりました。 (#1938)
- Tera Term Pro のターミナルウィンドウや Balabolka のドキュメントにおいて、テキストが正しく読み取れるようになりました。 (#4229)
- Internet Explorer や MSHTML ドキュメントのフレーム内でテキストを編集するときに、韓国語などのアジア言語の入力コンポジション完了後にフォーカスがドキュメントに戻らなかった不具合を修正しました。 (#4045)
- 入力ジェスチャーのダイアログにおいて、キーボードジェスチャーを追加するためにキーボード配列の選択をしている途中で Esc キーが押されても、ダイアログを閉じるのではなく、選択中のメニューを閉じるようになりました。 (#3617)
- アドオンの削除を実行した場合に、NVDA の再起動後に正しくアドオンのディレクトリが消去されるようになりました。これまでは2回再起動されるまで消去されませんでした。 (#3461)
- Skype (Windows デスクトップ版) バージョン 7 における不具合を修正しました。 (#4218)
- Skype (Windows デスクトップ版) でメッセージを送信したときに2回読み上げる不具合を修正しました。 (#3616)
- Skype (Windows デスクトップ版) で不適切に大量の(おそらく会話全体と思われる)メッセージの読み上げが起きる不具合を修正しました。 (#4644)
- NVDA の日付と時刻の通知において、地域と言語の設定が反映されない場合がある不具合を修正しました。 (#2987)
- ブラウズモードにおいて、Google Groups などで使われる特定の画像が無意味な(複数行になる場合もある)テキストとして通知されていた不具合を修正しました。(具体的には base64 エンコードされた画像への対応です) (#4793)
- Windows ストアアプリから他のウィンドウにフォーカスが移った数秒後、アプリがサスペンドしたときに、NVDA がフリーズする不具合を修正しました。 (#4572)
- Mozilla Firefox のライブリージョンで、アトミックな要素自身が更新された場合にも aria-atomic 属性が考慮されるようになりました。これまでは内部の要素だけに反映されていました。 (#4794)
- Internet Explorer および MSHTML コントロールにおいて、ドキュメントに埋め込まれた ARIA アプリケーションがブラウズモードの対象となった場合に、内容の更新が処理され、ライブリージョンの通知も行われるようになりました。 (#4798)
- Internet Explorer および MSHTML コントロールにおいて、テキストの変更や追加があり、制作者が適切に記述をした場合には、変更または追加されたテキストだけが通知されるようになりました。これまでは内部の要素のすべてのテキストを通知していました。 (#4800)
- Internet Explorer および MSHTML コントロールにおいて、要素が aria-labelledby 属性で参照しているコンテンツがある場合には、その内容を必要に応じて適切に使用するようになりました。 (#4575)
- Microsoft Outlook 2013 でスペルチェックを行ったときに、スペルエラーの単語を通知するようになりました。 (#4848)


== 開発者向けの変更 ==
- wxPython 3.0.2.0 に更新しました。 (#3763)
- Python 2.7.9 に更新しました。 (#4715)
- アドオンの削除や更新の後で NVDA が再起動されたときに、installTasks モジュールから speechDictHandler をインポートする処理で NVDA がクラッシュする不具合を修正しました。 (#4496)
2015-02-08 18:16 更新者: nishimoto
コメント

最初だけすこし直しました:

= 2015.1 =
このリリースのハイライトは、 Microsoft Word および Outlook のドキュメントでのブラウズモード、Skype (Windows デスクトップ版) および Microsoft Internet Explorer への対応の強化です。
2015-02-08 18:27 更新者: nishimoto
コメント

追加がありました:

変更点

- eSpeak バージョン 1.48.04 に更新されました。 (#4325)

バグ修正

- Internet Explorer および MSHTML コントロールにおいて visibility:hidden の指定で非表示にされた要素の内側のコンテンツが、ブラウズモードで不適切に読み取りできていた不具合を修正しました。 (#4839, #3776)

原文 10730, 10731

- eSpeak has been upgraded to version 1.48.04 (#4325)

- In Internet Explorer and other MSHTML controls, content inside elements hidden with visibility:hidden is no longer inappropriately presented in browse mode. (#4839, #3776)
2015-02-13 17:04 更新者: nishimoto
コメント

changes まだ更新がありました:

Index: changes.t2t
===================================================================
--- changes.t2t (revision 20465)
+++ changes.t2t (working copy)
@@ -54,6 +54,8 @@
 - Internet Explorer および MSHTML コントロールにおいて、要素が aria-labelledby 属性で参照しているコンテンツがある場合には、その内容を必要に応じて適切に使用するようになりました。 (#4575)
 - Microsoft Outlook 2013 でスペルチェックを行ったときに、スペルエラーの単語を通知するようになりました。 (#4848)
 - Internet Explorer および MSHTML コントロールにおいて visibility:hidden の指定で非表示にされた要素の内側のコンテンツが、ブラウズモードで不適切に読み取りできていた不具合を修正しました。 (#4839, #3776)
+- Internet Explorer および MSHTML コントロールにおいてフォームコントロールのタイトル属性が他の関連づけられたラベルよりも不適切に優先される不具合を修正しました。 (#4491)
+- Internet Explorer および MSHTML コントロールにおいて aria-activedescendant 属性によって要素へのフォーカス移動が不適切に無視される不具合を修正しました。 (#4667)


 == 開発者向けの変更 ==
2015-02-23 13:45 更新者: nishimoto
  • チケット完了時刻2015-02-23 13:45 に更新されました
  • 状況オープン から 完了 に更新されました

添付ファイルリスト

添付ファイルはありません

編集

このチケットにコメントを追加するには、ログインが必要です » ログインする